gnutls_x509_privkey_import_rsa_raw2(3)

NAME
gnutls_x509_privkey_import_rsa_raw2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_import_rsa_raw2(gnutls_x509_privkey_t key, const gnutls_datum_t * m, const gnutls_datum_t * e, const gnutls_datum_t * d, const gnutls_datum_t * p, const gnutls_datum_t * q, const gnutls_datum_t * u, const gnutls_datum_t * e1, const gnutls_datum_t * e2);

ARGUMENTS

gnutls_x509_privkey_t key
    The data to store the parsed key

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

const gnutls_datum_t * d
    holds the private exponent

const gnutls_datum_t * p
    holds the first prime (p)

const gnutls_datum_t * q
    holds the second prime (q)

const gnutls_datum_t * u
    holds the coefficient (optional)

const gnutls_datum_t * e1
    holds e1 = d mod (p-1) (optional)

const gnutls_datum_t * e2
    holds e2 = d mod (q-1) (optional)

DESCRIPTION
This function will convert the given RSA raw parameters to the native gnutls_x509_privkey_t format. The output will be stored in
 key .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/